Bug 1775544 - [abrt] libreoffice-core: (anonymous namespace)::signalHandlerFunction(): soffice.bin killed by SIGABRT
Summary: [abrt] libreoffice-core: (anonymous namespace)::signalHandlerFunction(): soff...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:21459036de2495791f20e642eb2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-22 09:01 UTC by ricky.tigg
Modified: 2019-11-25 01:50 UTC (History)
4 users (show)

Fixed In Version: libreoffice-6.3.3.2-5.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-25 01:50:35 UTC


Attachments (Terms of Use)
File: backtrace (70.82 KB, text/plain)
2019-11-22 09:01 UTC, ricky.tigg
no flags Details
File: core_backtrace (16.40 KB, text/plain)
2019-11-22 09:01 UTC, ricky.tigg
no flags Details
File: cpuinfo (2.43 KB, text/plain)
2019-11-22 09:01 UTC, ricky.tigg
no flags Details
File: dso_list (29.01 KB, text/plain)
2019-11-22 09:01 UTC, ricky.tigg
no flags Details
File: environ (2.16 KB, text/plain)
2019-11-22 09:01 UTC, ricky.tigg
no flags Details
File: limits (1.29 KB, text/plain)
2019-11-22 09:01 UTC, ricky.tigg
no flags Details
File: maps (169.31 KB, text/plain)
2019-11-22 09:01 UTC, ricky.tigg
no flags Details
File: mountinfo (2.70 KB, text/plain)
2019-11-22 09:01 UTC, ricky.tigg
no flags Details
File: open_fds (2.40 KB, text/plain)
2019-11-22 09:01 UTC, ricky.tigg
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-11-22 09:01 UTC, ricky.tigg
no flags Details
demo to use to reproduce (9.38 KB, application/vnd.oasis.opendocument.text)
2019-11-22 09:59 UTC, Caolan McNamara
no flags Details

Description ricky.tigg 2019-11-22 09:01:08 UTC
Description of problem:
In Navigator, executing dragging operations applied to headers.

Version-Release number of selected component:
1:libreoffice-core-6.3.3.2-2.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/dbus\x2d:1.2\x2dorg.gnome.Nautilus.slice/dbus-:1.2-org.gnome.Nautilus@2.service
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///run/media/yk/5D1A-F2CF/Ty%C3%B6/Fedora-opas_uusittu.odt --splash-pipe=6
crash_function: (anonymous namespace)::signalHandlerFunction
executable:     /usr/lib64/libreoffice/program/soffice.bin
journald_cursor: s=2a9c32f6df054a90895d565c7813df7f;i=886;b=7b01dab6a1784484a3063a3155589262;m=186383175;t=597eb653b58ab;x=37214695a7856053
kernel:         5.3.11-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 ricky.tigg 2019-11-22 09:01:12 UTC
Created attachment 1638640 [details]
File: backtrace

Comment 2 ricky.tigg 2019-11-22 09:01:15 UTC
Created attachment 1638641 [details]
File: core_backtrace

Comment 3 ricky.tigg 2019-11-22 09:01:16 UTC
Created attachment 1638642 [details]
File: cpuinfo

Comment 4 ricky.tigg 2019-11-22 09:01:19 UTC
Created attachment 1638643 [details]
File: dso_list

Comment 5 ricky.tigg 2019-11-22 09:01:20 UTC
Created attachment 1638644 [details]
File: environ

Comment 6 ricky.tigg 2019-11-22 09:01:23 UTC
Created attachment 1638645 [details]
File: limits

Comment 7 ricky.tigg 2019-11-22 09:01:28 UTC
Created attachment 1638646 [details]
File: maps

Comment 8 ricky.tigg 2019-11-22 09:01:31 UTC
Created attachment 1638647 [details]
File: mountinfo

Comment 9 ricky.tigg 2019-11-22 09:01:33 UTC
Created attachment 1638648 [details]
File: open_fds

Comment 10 ricky.tigg 2019-11-22 09:01:35 UTC
Created attachment 1638649 [details]
File: proc_pid_status

Comment 11 Caolan McNamara 2019-11-22 09:37:22 UTC
A crash in the navigator, is it reproducible ?

Comment 12 Caolan McNamara 2019-11-22 09:55:05 UTC
from the code, needs to have had a section expanded, then collapse, then an element in the document matching something in the collapsed section need to be renamed/deleted. I can reproduce.

Comment 13 Caolan McNamara 2019-11-22 09:59:36 UTC
Created attachment 1638661 [details]
demo to use to reproduce

Comment 14 ricky.tigg 2019-11-22 11:22:29 UTC
I would not have known it would be reproducible relying on the way depicted in your attached document. Good job!

Comment 15 Fedora Update System 2019-11-23 19:42:19 UTC
FEDORA-2019-eea1c67dde has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-eea1c67dde

Comment 16 Fedora Update System 2019-11-24 01:20:23 UTC
libreoffice-6.3.3.2-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-eea1c67dde

Comment 17 Fedora Update System 2019-11-25 01:50:35 UTC
libreoffice-6.3.3.2-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.